#include <iostream>
using namespace std;
int main(int argc, const char * argv[]) {
    long long int K,a=0,b=0,m=0,i;
    cin>>K;
    cout<<K*3<<endl;
    for(i=0;i<K*3;i++)
        {
            cout<<a<<" "<<b<<endl;
            a++;
            if ((i+1)%3==0)
                {
                    b++;
                    a+=m;
                    m++;
                    
                }
            
        }
    
    return 0;
}